const int led_a = 0;
const int led_b = 1;
const int led_c = 4;
int ledValue = 0;
int inc = 1;

// the setup routine runs once when you press reset:
void setup() {
  // initialize the LED pin as an output.
  pinMode(led_a, OUTPUT);
  pinMode(led_b, OUTPUT);
  pinMode(led_c, OUTPUT);
  
  PWM4_init();
}

// the loop routine runs over and over again forever:
void loop() {
  analogWrite(led_a, ledValue);
  analogWrite(led_b, ledValue);
  analogWrite4(ledValue);    // light up the led_c
  ledValue += inc;
  if(ledValue<=0||ledValue>=255){inc*=-1;}
  
  delay(5);
}

void PWM4_init() {
  // Set up PWM on Trinket GPIO #4 (PB4, pin 3) using Timer 1
  TCCR1 = _BV (CS10); // no prescaler
  GTCCR = _BV (COM1B1) | _BV (PWM1B); // clear OC1B on compare
  OCR1B = 127; // duty cycle initialize to 50%
  OCR1C = 255; // frequency
}
 
// Function to allow analogWrite on Trinket GPIO #4
void analogWrite4(uint8_t duty_value) {
  OCR1B = duty_value; // duty may be 0 to 255 (0 to 100%)
}

